Skip to main content

Update USSD configuration

PUT 

https://core-prod.malipopay.co.tz/api/v1/ussd/config/:id

Updates an existing USSD configuration.

Request

Path Parameters

    id stringrequired

    Configuration ID

Bodyrequired

    objectobject

Responses

Configuration updated successfully

Schema
    successbooleanrequired
    Example: true
    codeintegerrequired

    MALIPOPAY-specific status code (see error codes reference)

    Example: 800
    messagestringrequired
    Example: Operation completed successfully
    data object

    Endpoint-specific payload

    property name*any

    Endpoint-specific payload

Authorization: apiToken

name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
curl -L -X PUT 'https://core-prod.malipopay.co.tz/api/v1/ussd/config/:id' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>' \
-d '{}'
Request
Base URL
https://core-prod.malipopay.co.tz
Auth
Parameters
— pathrequired
Body required
{}
Response

Click the Send API Request button above and see the response here!